powerlogic::Config_1_0_1 Interface Reference

Configuration Interface. More...

`import"PowerLogicConfig.idl";`

## Classes

struct | Settings
| PowerLogic port settings. More...

## Public Member Functions

Settings | getSettings ()
| Retrieve the PowerLogic port settings. More...
int | setSettings (in Settings settings)
| Change the PowerLogic port settings. More...

## Public Attributes

constant int | NO_ERROR = 0
| No error.
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.
valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: Port settings have been changed. More...
Settings | newSettings
| Settings after change.

## Detailed Description

Configuration Interface.

## Member Function Documentation

## getSettings()

Settings powerlogic::Config_1_0_1::getSettings | ( |  | ) |

Retrieve the PowerLogic port settings.

Returns
  PowerLogic port settings

## setSettings()

int powerlogic::Config_1_0_1::setSettings | ( | in Settings | settings | ) |

Change the PowerLogic port settings.

Parameters

  settings | New PowerLogic port settings

Returns
  0 if OK
  ERR_INVALID_PARAMS if any parameters are invalid

## Member Data Documentation

## SettingsChangedEvent

valueobject powerlogic::Config_1_0_1::SettingsChangedEvent

Event: Port settings have been changed.

Settings before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/PowerLogicConfig.idl